<?php
// PHP Array to JSON string conversion for
// simple, associative and multidimensional arrays
// all works the same way using json_encode
// just present different arrays for example purposes only

// simple PHP Array to JSON string
echo '<h1>PHP Array to JSON</h1>';
$array = array(
    100,
    250,
    375,
    400
);
$jsonString = json_encode($array);
echo $jsonString;

// Associative Array to JSON
echo '<h2>Associative PHP Array to JSON</h2>';
$array = array(
    'e1' => 1000,
    'e2' => 1500,
    'e3' => 2000,
    'e4' => 2350,
    'e5' => 3000
);
$jsonString = json_encode($array);
echo $jsonString;

// multidimensional PHP Array to JSON string
echo '<h2>Multidimensional PHP Array to JSON</h2>';
$multiArray = array(
    'a1' => array(
        'item_id' => 1,
        'name' => 'Lion',
        'type' => 'Wild',
        'location' => 'Zoo'
    ),
    'a2' => array(
        'item_id' => 2,
        'name' => 'Cat',
        'type' => 'Domestic',
        'location' => 'Home'
    )
);
echo json_encode($multiArray);
?>